Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227753 - OpenOffice.org crash in presentation tool
Summary: OpenOffice.org crash in presentation tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 22:12 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.4-5.5.17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 07:51:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 68655 None None None Never

Description Anthony Green 2007-02-07 22:12:09 UTC
Description of problem:

Crash log...

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Reloading /usr/lib/xorg/modules/drivers/radeon_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386
(V)    kernel is: Linux 2.6.20-1.rt5.0116 #1 SMP PREEMPT Wed Feb 7 11:54:13 CET
2007 i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.10-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x4ab30f28: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22f28
0x4ab31bbb: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23bbb
0x4a019218: /lib/libpthread.so.0 + 0xd218
0x49f50410: /lib/libc.so.6 + 0xb2410 (freeaddrinfo + 0x30)
0x4a100198: /usr/lib/libneon.so.25 + 0xe198 (ne_addr_destroy + 0x28)
0x4a0fb5f3: /usr/lib/libneon.so.25 + 0x95f3 (ne_session_destroy + 0xa3)
0xae3da0c4: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0x80c4
0x5174e7: /lib/libglib-2.0.so.0 + 0x1e4e7
0x5176e0: /lib/libglib-2.0.so.0 + 0x1e6e0
0xae3da26b: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0x826b
0x524a16: /lib/libglib-2.0.so.0 + 0x2ba16
0x524442: /lib/libglib-2.0.so.0 + 0x2b442 (g_main_context_dispatch + 0x182)
0x52741f: /lib/libglib-2.0.so.0 + 0x2e41f
0x527985: /lib/libglib-2.0.so.0 + 0x2e985 (g_main_context_iteration + 0x65)
0xb7493cc1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11cc1
0xb74488a7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x518a7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x983618: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x95618
(Application::Yield(bool) + 0x68)
0x9836ec: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x956ec
(Application::Execute() + 0x3c)
0x6985359: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26359
(desktop::Desktop::Main() + 0x1779)
0x9891bc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b1bc
0x9892c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b2c5 (SVMain()
+ 0x35)
0x6976a69: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a69 (sal_main
+ 0x59)
0x6976af4: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17af4 (main + 0x44)
0x49eb3f2c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc)
0x8048481: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x481
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0xb7d4a000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0xb7d46000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0xb7d2e000)
	libdl.so.2 => /lib/libdl.so.2 (0xb7d13000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7cfc000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0xb7c34000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7b49000)
	libm.so.6 => /lib/libm.so.6 (0xb7b22000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7b16000)
	libc.so.6 => /lib/libc.so.6 (0xb79d9000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb79ab000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Caolan McNamara 2007-02-08 08:57:18 UTC
That's an interesting crash. Is there any way to reproduce this ?

0x49f50410: /lib/libc.so.6 + 0xb2410 (freeaddrinfo + 0x30)
0x4a100198: /usr/lib/libneon.so.25 + 0xe198 (ne_addr_destroy + 0x28)
0x4a0fb5f3: /usr/lib/libneon.so.25 + 0x95f3 (ne_session_destroy + 0xa3)
0xae3da0c4: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0x80c4
0x5174e7: /lib/libglib-2.0.so.0 + 0x1e4e7
0x5176e0: /lib/libglib-2.0.so.0 + 0x1e6e0
0xae3da26b: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0x826b

would suggest to me that there was some problem with gnome-vfs. Do you remember
if you were doing anything with some sort of webshare. Do you have some http://
location mounted on your desktop or anything like that. Was the file dialog open
at the time of the crash ?

Comment 2 Caolan McNamara 2007-02-08 09:19:14 UTC
maybe copy and paste from a webpage ?

Comment 3 Caolan McNamara 2007-02-08 09:28:10 UTC
applied upstream patch to 2.0.4, will be in next FC-6 respin

Comment 4 Anthony Green 2007-02-08 14:09:45 UTC
(In reply to comment #2)
> maybe copy and paste from a webpage ?

That's right.  I had inserted a picture into my presentation by giving it a http
URL lifted from a web site.


Comment 5 Caolan McNamara 2007-03-28 07:51:20 UTC
now in 2.0.4-5.5.17 in FC-6 updates


Note You need to log in before you can comment on or make changes to this bug.